Ipelib: ipe::BBoxPainter Class Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# ipe::BBoxPainter Class Reference
Ipe Utilities

Paint objects using this painter to compute an accurate bounding box. More...

`#include <ipeutils.h>`

Inherits ipe::Painter.

List of all members.

## Public Member Functions

- BBoxPainter (const Cascade *style)
- Rect bbox () const

## Protected Member Functions

- virtual void doPush ()
- virtual void doPop ()
- virtual void doNewPath ()
- virtual void doMoveTo (const Vector &v)
- virtual void doLineTo (const Vector &v)
- virtual void doCurveTo (const Vector &v1, const Vector &v2, const Vector &v3)
- virtual void doDrawPath (TPathMode mode)
- virtual void doDrawBitmap (Bitmap bitmap)
- virtual void doDrawText (const Text *text)
- virtual void doAddClipPath ()

## Detailed Description

Paint objects using this painter to compute an accurate bounding box.

The Object::bbox member function computes a bounding box useful for distance calculations and optimizations. To find a bounding box that is accurate for the actual drawn object, paint the object using a BBoxPainter, and retrieve the box with bbox.

## Constructor & Destructor Documentation

BBoxPainter::BBoxPainter | ( | const Cascade * | style | ) |

## Member Function Documentation

Rect ipe::BBoxPainter::bbox | ( |  | ) | const`[inline]`

void BBoxPainter::doPush | ( |  | ) | `[protected, virtual]`

Perform graphics state push on output medium.

Reimplemented from ipe::Painter.

void BBoxPainter::doPop | ( |  | ) | `[protected, virtual]`

Perform graphics state pop on output medium.

Reimplemented from ipe::Painter.

void BBoxPainter::doNewPath | ( |  | ) | `[protected, virtual]`

Perform new path operator.

Reimplemented from ipe::Painter.

void BBoxPainter::doMoveTo | ( | const Vector & | v | ) | `[protected, virtual]`

Perform moveto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void BBoxPainter::doLineTo | ( | const Vector & | v | ) | `[protected, virtual]`

Perform lineto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void BBoxPainter::doCurveTo | ( | const Vector & | v1,
|  | const Vector & | v2,
|  | const Vector & | v3
| ) |  | `[protected, virtual]`

Perform curveto operator.

The transformation matrix has already been applied.

Reimplemented from ipe::Painter.

void BBoxPainter::doDrawPath | ( | TPathMode | mode | ) | `[protected, virtual]`

Actually draw the path.

Reimplemented from ipe::Painter.

void BBoxPainter::doDrawBitmap | ( | Bitmap | bitmap | ) | `[protected, virtual]`

Draw a bitmap.

Reimplemented from ipe::Painter.

void BBoxPainter::doDrawText | ( | const Text * | text | ) | `[protected, virtual]`

Draw a text object.

Reimplemented from ipe::Painter.

void BBoxPainter::doAddClipPath | ( |  | ) | `[protected, virtual]`

Add a clip path.

Reimplemented from ipe::Painter.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp